.\" -*-nroff-*-
.\"
.\" WARNING: THIS DOCUMENT USED TO BE GENERATED AUTOMATICALLY FROM
.\" URLVIEW.SGML.  THIS IS NO LONGER THE CASE.   THIS IS THE MASTER
.\" SOURCE OF THE MANUAL PAGE.
.\"
.\" Copyright (c) 1997 Michael Elkins <me@cs.hmc.edu>
.\" Copyright (c) 2000 Thomas Roessler <roessler@does-not-exist.org>
.\"
.\" This document is free software; you can redistribute it and/or 
.\" modify it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2 of the
.\" License, or (at your option) any later version.
.\"
.TH "urlview" 1 
.SH NAME
.PP
urlview \- URL extractor/launcher
.SH SYNOPSIS
.PP
.B urlview 
\fIfilename\fP [ \fIfilename\fP ... ]
.SH DESCRIPTION
.PP
.B urlview
is a screen oriented program for extracting URLs from text
files and displaying a menu from which you may launch a command to view a
specific item.
.SH CONFIGURATION
.PP
.B urlview
attempts to read 
.I ~/.urlview
upon startup.  If this file
doesn't exist, it will try to read a system wide file 
in 
.IR /etc/urlview/system.urlview .
There are two configuration commands (order does not matter):
.TP
REGEXP \fIregexp\fP
.B urlview
uses a regular expression to extract URLs from the specified
text files.  \\r, \\t, \\n and \\f are all converted to
their normal 
.BR printf (3)
meanings.  The default REGEXP is:
.PP
.sp 
.ft RR
.nf
(((http|https|ftp|gopher)|mailto):(//)?[^ <>"\\t]*|(www|ftp)[0-9]?\\.[-a-z0-9.]+)[^ .,;\\t\\n\\r<">\\):]?[^, <>"\\t]*[^ .,;\\t\\n\\r<">\\):]
.fi
.ec
.ft P
.sp
.TP
COMMAND \fIcommand\fP
If the specified command contains a 
.BR %s ,
it will be subsituted
with the URL that was requested, otherwise the URL is appended to
the COMMAND string.  The default COMMAND is:
.br
.sp
/etc/urlview/url_handler.sh
.PP
.B Note:
You should 
.I never
put single quotes around the 
.BR %s .
.B urlview
does this for you, and also makes sure that single quotes eventually
showing up inside the URL are handled properly.  (Note that this
shouldn't happen with the default regular expression, which
explicitly excludes single quotes.)
.TP
WRAP  \fIchoice\fP
Enable or disable URL wrapping. Valid values for \fIchoice\fP are: yes, no (case insensitive).
If this option is not supplied, the default behaviour is to disable wrapping.
.SH FILES
.PP
.IP "/etc/urlview/system.urlview"
system-wide urlview configuration file
.IP "~/.urlview"
urlview configuration file
.SH ENVIRONMENT
If the environment variable BROWSER is set to a browser command, or a
colon-delimited list of commands to try, then the specified browser is
used. %s is replaced with the quoted url to view. If %s is not part of a
command, the url is appended to the command.
.PP
The BROWSER environment variable is honored only if the rc-file doesn't
contain the COMMAND option.
The rc-file provided by the Debian package contains a COMMAND option.
.SH SEE ALSO
.PP
.BR printf (3),
.BR regcomp (3), 
.BR regex (7),
.BR environ (7)
.SH AUTHOR
.PP
Michael Elkins <me@cs.hmc.edu>.
.PP
Modified for Debian by Luis Francisco Gonzalez <luisgh@debian.org> and Emanuele Rocca <ema@debian.org>.
.PP
Modified for SuSE by Dr. Werner Fink <werner@suse.de> and Stepan Kasal <kasal@suse.cz>.
.PP
Changes put together by Thomas Roessler <roessler@does-not-exist.org>.

